<div fxLayoutAlign="center center" fxFlexFill class="main-div">
  <mat-card fxFlex="30">
    <mat-toolbar color="primary">Login Page</mat-toolbar>
    <form [formGroup]="myGroup"
          #loginForm="ngForm"
          (ngSubmit)="onSubmit(loginForm)"
          fxLayoutAlign="stretch"
          fxLayout="column"
          class="login-form">
      <mat-form-field>
        <mat-label>User name</mat-label>
        <input matInput formControlName="firstName" placeholder="Username">
      </mat-form-field>
      <mat-form-field>
        <mat-label>Password</mat-label>
        <input formControlName="password" type="password" matInput placeholder="password">
      </mat-form-field>
      <button mat-raised-button type="submit">Login</button>
    </form>
  </mat-card>
</div>
